diff --git a/Cargo.toml b/Cargo.toml
index e98c7daa..8c1dfca0 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -134,7 +134,7 @@ disk = { path = "disk" }
 enumn = "0.1.0"
 gdbstub = { version = "0.5.0", optional = true }
 gdbstub_arch = { version = "0.1.0", optional = true }
-rutabaga_gfx = { path = "rutabaga_gfx"}
+rutabaga_gfx = { path = "rutabaga_gfx", features = ["minigbm"]}
 hypervisor = { path = "hypervisor" }
 kernel_cmdline = { path = "kernel_cmdline" }
 kernel_loader = { path = "kernel_loader" }
diff --git a/rutabaga_gfx/build.rs b/rutabaga_gfx/build.rs
index eb109a29..366d8953 100644
--- a/rutabaga_gfx/build.rs
+++ b/rutabaga_gfx/build.rs
@@ -72,6 +72,7 @@ fn build_minigbm(out_dir: &Path) -> Result<()> {
 
     let make_flags = env::var("CARGO_MAKEFLAGS").unwrap();
     let status = Command::new("make")
+        .env("DRV_AMDGPU", "1")
         .env("MAKEFLAGS", make_flags)
         .env("CROSS_COMPILE", get_cross_compile_prefix())
         .arg(format!("OUT={}", out_dir.display()))

